#
# spec file for package spi-tools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           spi-tools
Version:        1.0.2
Release:        1.8
Summary:        A set of SPI tools for Linux
License:        GPL-2.0-or-later
Group:          Development/Tools/Other
URL:            https://github.com/cpb-/spi-tools
Source0:        https://github.com/cpb-/spi-tools/archive/%{version}.tar.gz#/spi-tools-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       udev

%description
This package contains some simple command line tools to help using Linux
spidev devices.

%prep
%setup -q

%build
autoreconf -fim
%configure
%make_build CFLAGS="%{optflags}"

%install
%make_install

%files
%{_bindir}/*
%{_mandir}/man1/*.1%{?ext_man}

%changelog
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.2:
  * fix homepage url
  * Parameter for SPI_IOC_WR_LSB_FIRST ioctl is {0, 1}.
  * Documentation fixes
* Fri Dec 10 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Update to version 1.0.1:
  * support --bits config option in spi-pipe
  * Support SPI mode option in spi-pipe
  * Support all configuration options in spi-pipe
  * Default block-size to 1 instead of -1
* Tue May 11 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.8.7:
  * enable SPI abuse: Limit for the block size doesn't reflect how
    far you can push most drivers. The driver itself should complain
    if the block size is too large.
  * Fixed typos
* Fri Apr 17 2020 Martin Pluskal <mpluskal@suse.com>
- Update to versions 0.8.4:
  * Add -S and -w options description in spi-config
  * Various small improvements
* Mon Dec  9 2019 Martin Pluskal <mpluskal@suse.com>
- Enforce honoring of optflags
- Use latest macro for building
* Fri Nov 29 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Run latest spec cleaner
* Thu Nov 28 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- CLean-up spec file
* Thu Oct 31 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Update to v0.8.3:
  * Add SPI_READY support with -r/--spirdy={0,1} option
  * Add SPI speed control to spi-pipe with new -s/--speed option
  * Add -w option to keep the file descriptor open and avoid
    speed reset on close
* Thu Jun  9 2016 guillaume@opensuse.org
- Initial release 0.8.1
